# MotionPath(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MotionPath`(bpy_struct)

  Cache of the worldspace positions of an element over a frame range

  `frame_end`

    End frame of the stored range

    Type: | int in [-inf, inf], default 0, (readonly)

  `frame_start`

    Starting frame of the stored range

    Type: | int in [-inf, inf], default 0, (readonly)

  `is_modified`

    Path is being edited

    Type: | boolean, default False

  `length`

    Number of frames cached

    Type: | int in [-inf, inf], default 0, (readonly)

  `points`

    Cached positions per frame

    Type: | `bpy_prop_collection` of `MotionPathVert`, (readonly)

  `use_bone_head`

    For PoseBone paths, use the bone head location when calculating this path

    Type: | boolean, default False, (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Object.motion_path` | `PoseBone.motion_path`